358 views 0 comments

Rumour – Ubisoft leak Battlefield 4 system requirements, EA describe them as “placeholder”

by on July 22, 2013
 

Battlefield4

Battlefield 4 will require similar specs to Battlefield 3, at least according to Ubisoft.

A post on the company’s Uplay site, which has since been taken down, seemed to offer the details of the requirements that you’ll need to run the game on your PC. Although the Alpha trial required at least a 64-bit Windows Vista running on Service Pack 2, the post suggests that a 32-bit Windows Vista Service Pack 1 will suffice for the full game.

BF4Blog noted that Redditor Offspring, who is listed as an EA Employee/Origin Producer, later suggested that the specs were serving as a placeholder saying, “I don’t believe the final system requirements have been decided yet, and this looks a lot like placeholder system requirements from BF3 with a couple of tweaks. I know everyone’s excited for BF4 news, but I wouldn’t trust an Ubisoft page with system requirements for it just yet.”

Though this doesn’t give us much information on the game, it does suggest that if you currently play Battlefield 3 on anything above the minimum specs then you should be able to handle Battlefield 4 as well.

Thanks JoyPad

Be the first to comment!
 
Leave a reply »

 

Leave a Reply